class_name CookingSingleton extends Node

# Cooking State
var cutscene:Cutscene = null
var active:bool = false

# Signals
signal cookingStarted

func start(params:Dictionary) -> void:
  assert(params.has('recipe'))
  assert(!active)

  if params['cutscene'] != null:
    cutscene = params['cutscene']
  else:
    cutscene = Cutscene.new()

  # TODO: Add cooking things here
  
  # Emit signals
  active = true
  cookingStarted.emit()

  # Start the cutscene.
  if !cutscene.running:
    cutscene.start()